Skip to main content

Void a Payment


This section describes how to void a payment that was submitted but not yet processed by the processor. A payment is also known as a sale, which is an authorization and capture in one API request. Include the payment ID in the void request endpoint to cancel the payment.

Supported Processors

  • AIBMS
  • American Express Direct
  • Banque de France et Tresor Public
  • Barclays
  • BNP Paribas France
  • Chase Paymentech Solutions
  • Chase Tandem
  • China UnionPay
  • Cielo
  • Comercio Latino
  • Credit Mutuel-CIC
  • eftpos
  • Elavon
  • Elavon Americas
  • FDC Compass
  • FDC Nashville Global
  • FDI Australia
  • FDMS Nashville
  • Fiserv RapidConnect
  • Getnet
  • GPN
  • HBoS
  • HSBC
  • JCN Gateway
  • Lloyds-OmniPay
  • LloydsTSB Cardnet
  • Moneris
  • National Payment Gateway
  • OmniPay Direct
  • Prosa
  • Rede
  • RuPay
  • SIX
  • Streamline
  • TSYS Acquiring Solutions
  • UATP
  • Vero
  • Worldpay VAP
  • Barclays
  • TSYS Acquiring Solutions
  • GPX
  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Streamline
  • Worldpay VAP

Endpoints

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

The {id} is the transaction ID returned in the sale response.

Example

Standard Example

{    "clientReferenceInformation": {        "code": "123456789012"    }}
{    "submitTimeUtc": "2025-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

Fiserv RapidConnect Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000771"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2025-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

Default Required Field

FieldDescription
clientReferenceInformation.codeorder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.

Processor-Specific Required Fields

These fields are required for the Fiserv RapidConnect processor.

FieldDescription
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026